---
layout: system

menu_title: FrameIt
shorttitle: FrameIT
title: The UFrameIT Framework
teaser: A Framework for Serious Games by combining Virtual Worlds with Mathematical Knowledge Management

start_date: '2013'

people: 
    - mkohlhase
    - dmueller
    - rmarcus
    - nroux
    - jschihada

supported-by:
    - oaf

website: https://uframeit.org
repository: https://github.com/UFrameIT
publink: http://kwarc.github.io/bibs/frameit
---

The FrameIT project builds a Framework for Serious Games by combining Virtual Worlds with
Mathematical Knowledge Management. The main idea is that we can use 
[MMT](https://kwarc.info/projects/mmt) theory graphs to represent the background knowledge
and [MMT](https://kwarc.info/projects/mmt) pushouts to compute the application of
knowledge in concrete situations.

The [UFrameIT](https://github.com/UFrameIT) framework uses the
[Unity game engine](http://unity.com) with the [MMT](https://kwarc.info/projects/mmt)
system. 

*For students*: Topics for theses and projects are available [here](https://gl.kwarc.info/kwarc/thesis-projects/-/issues?label_name%5B%5D=FrameIT).
