---
layout: system

menu_title: TGView3D
shorttitle: TGView3D
title: The TGView3D Graph Viewer
teaser: An interactive 3D graph viewer optimized for visualizing Theory Graphs and mathematical knowledge in general

start_date: '2018'

people: 
    - mkohlhase
    - frabe
    - dmueller
    - rmarcus


supported-by:
    - odk

website: https://tgview3d.mathhub.info/
repository: https://github.com/UniFormal/tgview3d
publink: https://kwarc.info/people/mkohlhase/submit/cicm20-tgview3D.pdf
---
The TGView3D System is a 3D-theory graph viewer in the Unity Engine.
Different layouts and highlighting settings are available to visualize the complex theory graphs efficiently.
In particular, this allows exploration of big mathematical libraries, e.g, those related to theorem provers like Coq or Isabelle.
Furthermore, we have a virtual reality protoype to allow intuitive and immersive interactions.


*For students*: Topics for theses and projects are available [here](https://gl.kwarc.info/kwarc/thesis-projects/-/issues?label_name%5B%5D=Graph+Visualization).